/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
//#define CapSense_CSD_MY_MAT__MB 4    // This is done automatically and the correct name is CapSense_CSD_MATRIXBUTTON0__MB
uint8 CapSense_CSD_DisplayState(void);

int main()
{
    
    CyGlobalIntEnable;      /* Enable global interrupts */
    CapSense_CSD_Start();   //initialize & enable the Capsense CSD compo
    CapSense_CSD_InitializeAllBaselines();  //Initializing all baselines
    
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    
    while(1u)               //continuous loop to check is any button pressed
    {
        /* Place your application code here */
        CapSense_CSD_UpdateEnabledBaselines();  //Updating Baselines of all enabled widgets
        CapSense_CSD_ScanEnabledWidgets();      //Start to scan all enabled widgets
        while(CapSense_CSD_IsBusy() !=0)
        {
                //wait untill the scanning is completed
        }
        /*
        if (CapSense_CSD_CheckIsSensorActive(CapSense_CSD_SENSOR_BUTTON0__BTN))
        {
            LED_1_Write(0);
        }else{
            LED_1_Write(1);
        }
        */
        CapSense_CSD_DisplayState();
    }
}

uint8 CapSense_CSD_DisplayState(void)
{
uint32 IsButtonPressed;
uint8 Pos[2];
uint8 ButtonNumber = 0xff;								//	0xff indicates that no button was pressed
	IsButtonPressed = CapSense_CSD_GetMatrixButtonPos(CapSense_CSD_MATRIXBUTTON0__MB, (uint8*) Pos);
	if(IsButtonPressed)									// Finger was detected on matrix
	{
		ButtonNumber = Pos[0] * 4 + Pos[1];				// Calculate which button (0..15) was pressed
	}
	else
	{
		//	No Finger present on matrix. Reset any LEDs you want
	}
	return ButtonNumber;
}
